Imports DatasetOnly.DBSampleDataSet, System.io
Imports Microsoft.VisualBasic.ControlChars

' Parent-Child-View der Relation Category-Article:
'  Im linken Grid kann man eine Kategorie anwhlen, das rechte Grid zeigt 
'  daraufhin die dieser Kategorie zugehrigen Artikel an. Beide Tabellen sind 
'  vollstndig editierbar.

Public Class frmParentChild

    Private _DataFile As String = "DBSample.DataSet.xml"

    Private Sub frmParentChild_Load(ByVal sender As Object, _
        ByVal e As EventArgs) Handles Me.Load

        Reload()
    End Sub

    Private Sub ReloadToolStripMenuItem_Click(ByVal sender As Object, _
        ByVal e As EventArgs) Handles ReloadToolStripMenuItem.Click, _
        SaveToolStripMenuItem.Click

        Select Case True
            Case sender Is ReloadToolStripMenuItem
                Reload()

            Case sender Is SaveToolStripMenuItem
                Me.DBSampleDataSet.WriteXml(_DataFile)
        End Select
    End Sub

    Private Sub Reload()
        Me.DBSampleDataSet.Clear()
        If File.Exists(_DataFile) Then
            Me.DBSampleDataSet.ReadXml(_DataFile)
        Else
            MsgBox(String.Concat( _
                "Leider (noch) kein DatenFile vorhanden", Lf, _
                "Sie knnen aber trotzdem fortfahren, und eines anlegen."))
        End If
    End Sub

End Class